Bug 1757354 - glibc: or_IN locale: change language name from Oriya to Odia
Summary: glibc: or_IN locale: change language name from Oriya to Odia
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.2
Hardware: All
OS: Linux
high
low
Target Milestone: rc
: 8.2
Assignee: Carlos O'Donell
QA Contact: qe-baseos-tools-bugs
Zuzana Zoubkova
URL:
Whiteboard:
Depends On: 1819986
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-01 10:18 UTC by Florian Weimer
Modified: 2021-09-17 12:20 UTC (History)
16 users (show)

Fixed In Version: glibc-2.28-109.el8
Doc Type: Bug Fix
Doc Text:
.`glibc` locale information updated with Odia language The name of Indian state previously known as Orissa has changed to Odisha, and the name of its official language has changed from Oriya to Odia. With this update, the `glibc` locale information reflects the new name of the language.
Clone Of: 1039496
Environment:
Last Closed: 2020-11-04 01:32:42 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4444 0 None None None 2020-11-04 01:33:13 UTC
Sourceware 15601 0 P2 RESOLVED Change request in Language Name from Oriya to Odia. [Language Code: or] 2020-09-22 09:03:13 UTC

Description Florian Weimer 2019-10-01 10:18:07 UTC
+++ This bug was initially created as a clone of Bug #1039496 +++

Description of problem:
Upstream bug reference  : https://sourceware.org/bugzilla/show_bug.cgi?id=15601

As per the Govt of India record, the State name of Orissa has been replaced with Odisha (hopefully I am correct with its spelling) and the language of Odisha State which was Oriya earlier, has been replaced with Odia. […]

Version-Release number of selected component (if applicable):
glibc-locale-source-2.28-42.el8_0.1.x86_64

How reproducible:
Always

Steps to Reproduce: N/A
1. gedit /usr/share/i18n/locales/or_IN
2. Find the word Oriya

Actual results:
The old language name Oriya is referred in locale file

Expected results:
It should be changed to new Language name : Odia.

Additional information:

This is an upstream regression introduced in:

commit ff01283962335e937f91c675c37063419235d5b4
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Tue Feb 9 19:53:38 2016 -0500

    localedata: CLDRv29: update LC_IDENTIFICATION language/territory fields

Comment 1 Florian Weimer 2019-10-01 10:18:57 UTC
Fixed again upstream via:

commit 8e42fc6811ba94a01e194d46572c3cf803b3aae0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 17 17:20:32 2019 +0200

    Sync "language", "lang_name", "territory", "country_name" with CLDR/langtable

Comment 5 Sergey Kolosov 2020-05-04 19:42:05 UTC
Verified, the old language name Oriya has been renamed to Odia.

Comment 9 errata-xmlrpc 2020-11-04 01:32:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: glibc security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4444


Note You need to log in before you can comment on or make changes to this bug.